/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { LegendBase } from "./LegendBase";
import { LegendBaseView } from "./LegendBaseView";
import { fromEn, delegateCombine, markType } from "igniteui-react-core/ES5/type";
import { FinancialLegendViewManager } from "./FinancialLegendViewManager";
var FinancialLegend = /** @class */ (function (_super) {
    tslib_1.__extends(FinancialLegend, _super);
    function FinancialLegend() {
        var _this = _super.call(this) || this;
        _this.ab = FinancialLegend.$;
        var a = _this.at;
        a.collectionChanged = delegateCombine(a.collectionChanged, function (a, b) {
            if (b.oldItems != null) {
                try {
                    for (var _a = tslib_1.__values(fromEn(b.oldItems)), _b = _a.next(); !_b.done; _b = _a.next()) {
                        var c = _b.value;
                        _this.a9.ag(c);
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_b && !_b.done && (_c = _a.return)) _c.call(_a);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }
            if (b.newItems != null) {
                try {
                    for (var _d = tslib_1.__values(fromEn(b.newItems)), _e = _d.next(); !_e.done; _e = _d.next()) {
                        var d = _e.value;
                        _this.a9.s(d);
                    }
                }
                catch (e_2_1) { e_2 = { error: e_2_1 }; }
                finally {
                    try {
                        if (_e && !_e.done && (_f = _d.return)) _f.call(_d);
                    }
                    finally { if (e_2) throw e_2.error; }
                }
            }
            var e_1, _c, e_2, _f;
        });
        return _this;
    }
    FinancialLegend.prototype.aj = function () {
        return new FinancialLegendView(this);
    };
    Object.defineProperty(FinancialLegend.prototype, "a9", {
        get: function () {
            return this.ak;
        },
        enumerable: true,
        configurable: true
    });
    FinancialLegend.prototype.addChildInOrder = function (a, b) {
        this.at.add(a);
    };
    FinancialLegend.$t = markType(FinancialLegend, 'FinancialLegend', LegendBase.$);
    return FinancialLegend;
}(LegendBase));
export { FinancialLegend };
var FinancialLegendView = /** @class */ (function (_super) {
    tslib_1.__extends(FinancialLegendView, _super);
    function FinancialLegendView(a) {
        var _this = _super.call(this, a) || this;
        _this.b = new FinancialLegendViewManager(_this);
        return _this;
    }
    FinancialLegendView.$t = markType(FinancialLegendView, 'FinancialLegendView', LegendBaseView.$);
    return FinancialLegendView;
}(LegendBaseView));
export { FinancialLegendView };
